"use strict";
const common_vendor = require("../../../common/vendor.js");
const ME_release_items_list_method = require("./method.js");
const ME_release_items_list_model = require("./model.js");
const gen_Enums = require("../../../gen/Enums.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/libraries/setTabBar.js");
require("../../../common/libraries/apiLoading.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/userUserLogin.js");
if (!Array) {
  const _easycom_hs_button2 = common_vendor.resolveComponent("hs-button");
  const _easycom_cc_scroll_loading2 = common_vendor.resolveComponent("cc-scroll-loading");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_hs_button2 + _easycom_cc_scroll_loading2 + _easycom_hs_footer2)();
}
const _easycom_hs_button = () => "../../../components/hs-button/hs-button.js";
const _easycom_cc_scroll_loading = () => "../../../common/components/cc-scroll-loading/cc-scroll-loading.js";
const _easycom_hs_footer = () => "../../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_hs_button + _easycom_cc_scroll_loading + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad(() => {
      var _a;
      (_a = ME_release_items_list_method.method) == null ? void 0 : _a.getList();
    });
    common_vendor.onShow(() => {
      var _a, _b, _c;
      if ((_b = (_a = ME_release_items_list_model.useModel) == null ? void 0 : _a.loadingStatus) == null ? void 0 : _b.value) {
        ME_release_items_list_model.useModel.listData.value = [];
        ME_release_items_list_model.useModel.formData.value = { page: 1 };
        (_c = ME_release_items_list_method.method) == null ? void 0 : _c.getList();
      }
    });
    common_vendor.onUnload(() => {
      ME_release_items_list_model.useModel.loadingStatus.value = false;
      ME_release_items_list_model.useModel.listData.value = [];
      ME_release_items_list_model.useModel.formData.value = { page: 1 };
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e;
      return {
        a: common_vendor.f((_b = (_a = common_vendor.unref(ME_release_items_list_model.useModel)) == null ? void 0 : _a.listData) == null ? void 0 : _b.value, (i, index, i0) => {
          var _a2, _b2, _c2;
          return common_vendor.e({
            a: common_vendor.t((_a2 = common_vendor.unref(gen_Enums.GoodsReleasesStatusEnum)[i.status]) == null ? void 0 : _a2.text),
            b: common_vendor.n(`value status status_${i.status}`),
            c: common_vendor.t(((_b2 = i == null ? void 0 : i.asset_house) == null ? void 0 : _b2.full_name) || "-"),
            d: common_vendor.t((i == null ? void 0 : i.passed_time) || "-"),
            e: common_vendor.t(((_c2 = common_vendor.unref(gen_Enums.GoodsReleasesPassedTypeEnum)[i == null ? void 0 : i.passed_type]) == null ? void 0 : _c2.text) || "-"),
            f: (i == null ? void 0 : i.status) === "Approved"
          }, (i == null ? void 0 : i.status) === "Approved" ? {
            g: common_vendor.o(($event) => {
              var _a3;
              return (_a3 = common_vendor.unref(ME_release_items_list_method.method)) == null ? void 0 : _a3.showPassedDoc(i);
            }, `items_${index}`),
            h: "7380a1c0-1-" + i0 + ",7380a1c0-0",
            i: common_vendor.p({
              label: "出示放行码",
              type: "ghost"
            })
          } : {}, {
            j: `items_${index}`
          });
        }),
        b: common_vendor.o((_c = common_vendor.unref(ME_release_items_list_method.method)) == null ? void 0 : _c.loadMore),
        c: common_vendor.p({
          meta: (_e = (_d = common_vendor.unref(ME_release_items_list_model.useModel)) == null ? void 0 : _d.metaData) == null ? void 0 : _e.value
        }),
        d: common_vendor.p({
          btnParimaryName: "新增申请",
          url: "/ME/release_items/add/index"
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/ME/release_items/list/index.vue"]]);
wx.createPage(MiniProgramPage);
